//
//  BNTransitions.h
//  transition
//
//  Created by Ravil on 05.08.13.
//  Copyright (c) 2013 bossnote. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface BNScaleTransition : NSObject {
    NSLayoutConstraint * viewPosition;
}

@property (nonatomic, strong) UIView * destView;
@property (nonatomic, strong) UIView * mainView;
@property (nonatomic, strong) UIView * sourceView;

@property (nonatomic,readwrite) CGFloat xpos;
@property (nonatomic,readwrite) CGFloat destWid;

+ (BNScaleTransition*)initwith:(UIView*)destView source:(UIView*)sourceView main:(UIView*)mainView width:(CGFloat)destWidth;
- (void) done;
- (void) cancel;

@end

#pragma mark
#pragma mark 3 panel transition for ipad

@interface BNPanelsTransition : NSObject {
    
}

//

@end

@interface UIView (ConstraintsAddition)

- (NSLayoutConstraint*)makePositionWithConstraints:(CGFloat)width;
- (NSArray*)makePositionByOldFrame:(CGPoint)startPoint;
- (NSArray*)makeBottomPositionByOldFrame:(CGPoint)startPoint;
- (NSLayoutConstraint*)makeCenterAllign:(CGFloat)xConstr;
- (NSLayoutConstraint *)makeSimpleCenter;
- (void)makePositionFromRect:(CGRect)frame;
- (void)makeFlexible;
- (void)makeFlexibleWeak;
- (void)removeAllConstraints;
- (void)remoOnlyNededConstraints;

@end
