//
//  BNViewController.h
//  Camera
//
//  Created by Ravil on 13.08.13.
//  Copyright (c) 2013 bossnote. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <AVFoundation/AVFoundation.h>
#import <QuartzCore/QuartzCore.h>
#import <AudioToolbox/AudioToolbox.h>
#import "BNTransitions.h"
#import "BNCamera.h"

@interface BNViewController : UIViewController {
//    AVCaptureStillImageOutput * stillImageOutput;
    AVCaptureVideoPreviewLayer *captureVideoPreviewLayer;
//    AVCaptureConnection *videoConnection;

    NSLayoutConstraint * topLastBtn;
    NSLayoutConstraint * leftLastBtn;
    
    BOOL isTransition;
    
    BNCamera * camera;
}
@property (strong, nonatomic) IBOutlet UIButton *videoBtn;
@property (strong, nonatomic) IBOutlet UIButton *photoBtn;
@property (strong, nonatomic) IBOutlet UIButton *docBtn;

@property (strong, nonatomic) IBOutlet UIScrollView *pickerScrol;
@property (strong, nonatomic) IBOutlet UIView *simplePhotoControls;
@property (strong, nonatomic) IBOutlet UIView *controlsContainer;
@property (strong, nonatomic) IBOutlet UIView *documentControl;

@property (strong, nonatomic) IBOutlet UIView *camView;
@property (strong, nonatomic) IBOutlet UIButton *closeBTN;
@property (strong, nonatomic) IBOutlet UISegmentedControl *flash;
@property (strong, nonatomic) IBOutlet UIButton *sourceDeviceBtn;

@end
